#ifndef _PS2_H_
#define _PS2_H_

#ifndef __INTTYPES_H_
#pragma error ("Missing include: inttypes.h")
#endif //__INTTYPES_H_

/*
 *  ein Host Request besteht aus 100us Clock Low, anschliessend wird
 *  die Clock High, Data Low. Client muss innerhalb von 10ms Daten 
 *  abnehmen.
 * 1, wenn Request ansteht, sonst 0
 */
extern uint8_t CheckForHostRequest(void);


// Sende ein einzelnes Byte auf der PS/2 Leitung
extern void SendPS2Byte(uint8_t Data);


// Lese ein einzelnes Byte auf der PS/2 Leitung
// Return:  1 - OK
//          0 - Fehler (Start/Stop/Parity) 
extern uint8_t ReadPS2Byte(uint8_t *Data);


extern void initPS2IO(void);


#endif // _PS2_H_

