// ps2proto.h

#ifndef __PS2PROTO_H__
#define __PS2PROTO_H__


#define kySHFT 0xd1
#define kyCTRL 0xd2
#define kyALT  0xd3

#define saPRESS   1
#define saRELEASE 2
#define saTOGGLE  (saPRESS | saRELEASE)


#define SUCCESS                      0

#define ERROR_SEND_BUSY           0xb1
#define ERROR_HOST_SEND_REQUEST      2
#define ERROR_PC_TIMEOUT             4
#define ERROR_NO_ACK                 6

#define ERROR_HOST_NOT_SENDING    0xb2
#define ERROR_RECEIVE_TIMEOUT        1
#define ERROR_NO_STOP_BIT            3
#define ERROR_BAD_PARITY             5

#define ERROR_NO_SCANCODE1        0x11
#define ERROR_NO_SCANCODE2        0x12
#define ERROR_NO_SCANCODE3        0x13
#define ERROR_NO_SCANCODE4        0x14


extern void PS2_Proto( void );

extern uint8_t PS2_SendScan( uint8_t out, uint8_t SendAction );

extern void LocalSendByte(uint8_t byte);


#endif // __PS2PROTO_H__
