// ps2protomaps.h


prog_char asciiToScan[] PROGMEM = {
    ' ',0x29,
    'a',0x1c,
    'b',0x32,
    'c',0x21,
    'd',0x23,
    'e',0x24,
    'f',0x2b,
    'g',0x34,
    'h',0x33,
    'i',0x43,
    'j',0x3b,
    'k',0x42,
    'l',0x4b,
    'm',0x3a,
    'n',0x31,
    'o',0x44,
    'p',0x4d,
    'q',0x15,
    'r',0x2d,
    's',0x1b,
    't',0x2c,
    'u',0x3c,
    'v',0x2a,
    'w',0x1d,
    'x',0x22,
    'y',0x35,
    'z',0x1a,
    '`',0x0e,
    '1',0x16,
    '2',0x1e,
    '3',0x26,
    '4',0x25,
    '5',0x2e,
    '6',0x36,
    '7',0x3d,
    '8',0x3e,
    '9',0x46,
    '0',0x45,
    '-',0x4e,
    '=',0x55,
    '[',0x54,
    ']',0x5b,
    '\\',0x5d,
    ';',0x4c,
    '\'',0x52,
    ',',0x41,
    '.',0x49,
    '/',0x4a,
    0x09,0x0d, // tab
    0x08,0x66, // backspace
    0x0d,0x5a, // enter
    0x1b,0x76, // esc
    0 };


prog_char ScanC0s[] PROGMEM = {
    0x7e, // 0xc0  scr lock
    0x77, // 0xc1  num lock
    0x7c, // 0xc2  num *
    0x7b, // 0xc3  num -
    0x6c, // 0xc4  num 7
    0x75, // 0xc5  num 8
    0x7d, // 0xc6  num 9
    0x79, // 0xc7  num +
    0x6b, // 0xc8  num 4
    0x73, // 0xc9  num 5
    0x74, // 0xca  num 6
    0x69, // 0xcb  num 1
    0x72, // 0xcc  num 2
    0x7a, // 0xcd  num 3
    0x70, // 0xce  num 0
    0x71, // 0xcf  num .
    0x58, // 0xd0  caps lock
    0x12, // 0xd1  L shift
    0x14, // 0xd2  L ctrl
    0x11, // 0xd3  L alt
    0x59, // 0xd4  R shift
    0
};

prog_char ScanE0s[] PROGMEM = {
    0x70, // 0xe0  ins
    0x6c, // 0xe1  home
    0x7d, // 0xe2  page up
    0x71, // 0xe3  del
    0x69, // 0xe4  end
    0x7a, // 0xe5  page down
    0x75, // 0xe6  arrow up
    0x6b, // 0xe7  arrow left
    0x72, // 0xe8  arrow down
    0x74, // 0xe9  arrow right
    0x4a, // 0xea  num /
    0x5a, // 0xeb  num enter

    0x11, // 0xec  R alt down
    0x11, // 0xed  R alt up
    0x14, // 0xee  R ctrl down
    0x14, // 0xef  R ctrl up
    0
};

prog_char ScanF0s[] PROGMEM = {
    0x05, // F1
    0x06, // F2
    0x04, // F3
    0x0c, // F4
    0x03, // F5
    0x0b, // F6
    0x83, // F7
    0x0a, // F8
    0x01, // F9
    0x09, // F10
    0x78, // F11
    0x07, // F12
    0
};

prog_char ScanPrtScrnPRESS[] PROGMEM = { // de
          0xe0,0x12,0xe0,0x7c, 0};

prog_char ScanPrtScrnRELEASE[] PROGMEM = { // de
    0xe0, 0xf0, 0x7c, 0xe0, 0xf0, 0x12, 0};

    
prog_char ScanPausePRESS[] PROGMEM = {   // df
          0xe1,0x14,0x77, 0};

prog_char ScanPauseRELEASE[] PROGMEM = {   // df
    0xe1, 0xf0, 0x14, 0xf0, 0x77, 0};

    
char macro1[] __attribute__ ((progmem)) =  // a0
//    "\x01\xd1M\x03\xd1ar6v1";
  "may04-1017";
